Redmine - Defect #2943

Problem with view differences
2009-03-10 11:22 - Fabien Carpentier

Status: Closed Start date: 2009-03-10
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Hi,

| use Redmine with a subversion repository.

When | try to view differences with a file with accents, | have this message :
The entry or revision was not found in the repository.

Example :
My file's name is Reédmine.tex.

It's impossible to view differences.
Thanks.

Fabien.

History

#1 - 2009-03-10 12:04 - Sonar Nautilus

Check in the Apache error_log. | had the error "sh: svn: command not found".
You might like this. The file /lib/redmine/scm/adapters/subversion_adapter correct line SVN_BIN , example SVN_BIN = "/usr/local/bin/svn --config-dir
/home/www/svnconfig"

#2 - 2009-03-10 13:50 - Fabien Carpentier
Thanks, but it doesn't work.

| use mongrel, and in the log file | have this message :
"svn: Safe data 'Index: Re' was followed by non-ASCII byte 195: unable to convert to/from UTF-8"

(for my file Reédmine.tex)

#3 - 2009-03-10 16:35 - Sonar Nautilus

look http://www.redmine.org/issues/show/2006

#4 - 2009-03-10 21:19 - Jean-Philippe Lang

- Status changed from New to Closed

A quick google search shows that this error message is not related to Redmine but Subversion. So I'm closing this.
http://www.google.fr/search?hl=fr&g=svn%3A+Safe+data+was+followed+by+non-ASCII+&btnG=Recherche+Google&meta=&ag=f&oq=

And please, next time read the submission guidelines.
#5 - 2009-03-11 11:54 - Fabien Carpentier
Jean-Philippe Lang wrote:

A quick google search shows that this error message is not related to Redmine but Subversion. So I'm closing this.
http://www.google.fr/search?hl=fr&g=svn%3A+Safe +data+was-+followed+by+non-ASCII+&btnG=Recherche+Google&meta=&aqg=f&oq=

And please, next time read the submission guidelines.
Thanks for your answer.
